> For the complete documentation index, see [llms.txt](https://docs.zeta.markets/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zeta.markets/build-with-zeta/sdks/python-sdk.md).

# Python SDK

### Installation

To use Zeta, first install it using pip:

```
$ pip install zetamarkets_py
```

### Setting up a Solana wallet

Please follow the [Solana wallet creation docs](https://docs.solana.com/wallet-guide/file-system-wallet) to set up a wallet if you don’t already have one locally. By default the SDK will look for the wallet at *\~/.config/solana/id.json*

### Getting started

The easiest way to get started is to follow the [code examples](https://zetamarkets-py.readthedocs.io/en/latest/examples.html) in order. These walk you through the basics of placing orders, checking balances and streaming market data, all the way to building a simple trading bot.

### Links

* [Github](https://github.com/zetamarkets/zetamarkets-py)
* [Technical Docs](https://pypi.org/project/zetamarkets-py/)
* [PyPI Package](https://pypi.org/project/zetamarkets-py/)

### Ready to start trading?

[Start trading now!](https://dex.zeta.markets?utm_source=gitbook\&utm_campaign=python_sdk\&utm_term=cta)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zeta.markets/build-with-zeta/sdks/python-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
